Name: gsissh
Version: 3.4p1
Release: edg_gsi2
Source0: openssh-3.4p1.tar.gz
Source1: gsissh-initscript.tar.gz
Patch1: openssh-3.4p1-gsi.patch
Patch2: gsissh-pidfilename.patch
Prefix: /opt

Summary: A GSI-enabled SSH package (server and clients)
Copyright: unknown
Group: System/Daemons
Packager: David Groep <davidg@nikhef.nl>
BuildRoot: /var/tmp/gsissh-%{version}.root
%description
OpenSSH is a free version of SSH (Secure SHell), a program for logging
into and executing commands on a remote machine. 
This package contains a GSI-enhanced version of OpenSSH, including
both the server and the clients. You do not need to install
any other OpenSSH packages to use the GSI enhanced version. 

By default the GSI-OpenSSH daemon will listen on port 22 and thus
conflict with any other SSH servers. You can change this in the
sshd_config configuration file to be found in /opt/gsissh-3.4p1/etc

%prep
%setup -b 1 -n openssh-3.4p1
%setup -n openssh-3.4p1
%patch1 -p1
%patch2 -p1

%build
#! /bin/sh

GLOBUS_LOCATION=/opt/globus


CC=gcc
CFLAGS="-I$GLOBUS_LOCATION/include/gcc32dbgpthr"
LDFLAGS="-L$GLOBUS_LOCATION/lib"
LD="gcc -static"
LIBS="-lglobus_gss_assist_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_ssl_utils_gcc32dbgpthr -lssl_gcc32dbgpthr -lcrypto_gcc32dbgpthr" 

export CC CFLAGS LIBS LDFLAGS LD

./configure --prefix=/opt/gsissh-3.4p1 \
	--with-globus=$GLOBUS_LOCATION \
	--with-globus-flavor=gcc32dbgpthr \
	--without-privsep-path

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/gsissh-3.4p1

make install DESTDIR=$RPM_BUILD_ROOT

# now include the startup script
cp -p ../gsisshd $RPM_BUILD_ROOT/opt/gsissh-3.4p1/sbin/gsisshd.in

%files
%defattr(-,root,root)
/opt/gsissh-3.4p1

%clean
rm -rf $RPM_BUILD_ROOT

